summaryrefslogtreecommitdiffstats
path: root/development/qt-creator2
diff options
context:
space:
mode:
author Andre Barboza2016-06-15 01:36:34 +0200
committer Willy Sudiarto Raharjo2016-06-15 01:36:34 +0200
commit9767a1c6b0b0e363aeb0e9e6da44c32d5706d020 (patch)
tree8eef29879162d7a45b8ed177adfac3aa4957e0cb /development/qt-creator2
parent080308e1b19f5d0587d259c46035d8e845cef851 (diff)
downloadslackbuilds-9767a1c6b0b0e363aeb0e9e6da44c32d5706d020.tar.gz
development/qt-creator2: Added (Cross-Platform Qt IDE).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'development/qt-creator2')
-rw-r--r--development/qt-creator2/README21
-rw-r--r--development/qt-creator2/doinst.sh14
-rw-r--r--development/qt-creator2/qt-creator.desktop12
-rw-r--r--development/qt-creator2/qt-creator2.SlackBuild110
-rw-r--r--development/qt-creator2/qt-creator2.info10
-rw-r--r--development/qt-creator2/slack-desc19
-rw-r--r--development/qt-creator2/x-qt-creator.xml8
7 files changed, 194 insertions, 0 deletions
diff --git a/development/qt-creator2/README b/development/qt-creator2/README
new file mode 100644
index 0000000000..c8ff97c047
--- /dev/null
+++ b/development/qt-creator2/README
@@ -0,0 +1,21 @@
+Qt Creator 2 is a Cross-Platform Qt IDE.
+
+The goal of Qt Creator is to provide a cross-platform, complete Integrated
+Development Environment (IDE) to develop Qt projects.
+
+NOTE1: This package conflicts with qt-creator: install only one of the two.
+
+NOTE2: QmlDesigner needs Qt Private Headers. If you have intent to build the
+QmlDesigner you need to specify the Qt source location. Besides, it is
+required to apply all patches from Slackware tree and run configure.
+Note that configure process takes some time to finish due qmake compile
+process.
+
+Follow these steps to prepare source tree:
+1 - Copy Qt SlackBuild directory from Slackware source tree to /tmp;
+2 - Edit qt-nowebkit.SlackBuild and place a EXIT command AFTER configure command;
+3 - Execute qt.SlackBuild;
+4 - move /tmp/qt-everywhere-opensource-src-x.x.x to /usr/src
+
+QTSOURCEDIR is set to /usr/src/qt-everywhere-opensource-src-x.x.x
+(Qt version from Slackware tree).
diff --git a/development/qt-creator2/doinst.sh b/development/qt-creator2/doinst.sh
new file mode 100644
index 0000000000..9830478e8c
--- /dev/null
+++ b/development/qt-creator2/doinst.sh
@@ -0,0 +1,14 @@
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
+fi
+
+if [ -x /usr/bin/update-mime-database ]; then
+ /usr/bin/update-mime-database usr/share/mime >/dev/null 2>&1
+fi
+
+if [ -e usr/share/icons/hicolor/icon-theme.cache ]; then
+ if [ -x /usr/bin/gtk-update-icon-cache ]; then
+ /usr/bin/gtk-update-icon-cache usr/share/icons/hicolor >/dev/null 2>&1
+ fi
+fi
+
diff --git a/development/qt-creator2/qt-creator.desktop b/development/qt-creator2/qt-creator.desktop
new file mode 100644
index 0000000000..acd11fb228
--- /dev/null
+++ b/development/qt-creator2/qt-creator.desktop
@@ -0,0 +1,12 @@
+[Desktop Entry]
+Name=Qt Creator IDE
+GenericName=IDE for Qt Developers
+Comment=Qt-Creator is a cross-platform IDE tailored to the needs of Qt developers.
+Exec=qtcreator
+Icon=QtProject-qtcreator
+Categories=Development;IDE;GUIDesigner;Qt;Qt-Creator;
+Version=1.0
+StartupNotify=true
+Type=Application
+Terminal=false
+MimeType=application/x-qt-creator;
diff --git a/development/qt-creator2/qt-creator2.SlackBuild b/development/qt-creator2/qt-creator2.SlackBuild
new file mode 100644
index 0000000000..048d957754
--- /dev/null
+++ b/development/qt-creator2/qt-creator2.SlackBuild
@@ -0,0 +1,110 @@
+#!/bin/sh
+
+# Slackware build script for qt-creator2
+
+# Copyright 2016 Andre Barboza
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+# Written by Andre Barboza <bmg.andre@gmail.com>
+# Modified by the SlackBuilds.org project.
+# Modified by Willy Sudiarto Raharjo <willysr@slackware-id.org>
+
+PRGNAM=qt-creator2
+SRCNAM=qt-creator
+VERSION=${VERSION:-2.8.0}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+# QmlDesigner needs Qt Private Headers
+# Extract Qt source (from Slackware) into /usr/src, apply all the patches,
+# and run configure
+QTSOURCEDIR=${QTSOURCEDIR:-"/usr/src/qt-everywhere-opensource-src-4.8.7/"}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $SRCNAM-$VERSION-src
+tar xvf $CWD/$SRCNAM-$VERSION-src.tar.gz
+cd $SRCNAM-$VERSION-src
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+# We are intentionally using an in-source build here,
+# because the out-of-source build was causing errors
+qmake \
+ IDE_LIBRARY_BASENAME="lib$LIBDIRSUFFIX" \
+ QMAKE_CXXFLAGS="$SLKCFLAGS" \
+ QT_PRIVATE_HEADERS="${QTSOURCEDIR}/include" \
+ qtcreator.pro
+make
+make install INSTALL_ROOT=$PKG/usr
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+mkdir -p $PKG/usr/share/applications
+cat $CWD/qt-creator.desktop > $PKG/usr/share/applications/qt-creator.desktop
+
+mkdir -p $PKG/usr/share/mime/packages
+cat $CWD/x-qt-creator.xml > $PKG/usr/share/mime/packages/x-qt-creator.xml
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a HACKING LICENSE.LGPL README LGPL_EXCEPTION.TXT $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/development/qt-creator2/qt-creator2.info b/development/qt-creator2/qt-creator2.info
new file mode 100644
index 0000000000..7411eac9fb
--- /dev/null
+++ b/development/qt-creator2/qt-creator2.info
@@ -0,0 +1,10 @@
+PRGNAM="qt-creator2"
+VERSION="2.8.0"
+HOMEPAGE="http://qt-project.org/"
+DOWNLOAD="http://download.qt-project.org/official_releases/qtcreator/2.8/2.8.0/qt-creator-2.8.0-src.tar.gz"
+MD5SUM="5aacdad4491b7dda9758a81384d8da79"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="Andre Barboza"
+EMAIL="bmg.andre@gmail.com"
diff --git a/development/qt-creator2/slack-desc b/development/qt-creator2/slack-desc
new file mode 100644
index 0000000000..ba7b57c417
--- /dev/null
+++ b/development/qt-creator2/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+qt-creator2: qt-creator2 (Cross-Platform Qt IDE)
+qt-creator2:
+qt-creator2: The goal of Qt Creator is to provide a cross-platform, complete
+qt-creator2: Integrated Development Environment (IDE) to develop Qt projects.
+qt-creator2: It is available for the Linux, Mac OS X and Windows platforms.
+qt-creator2:
+qt-creator2: Homepage: https://www.qt.io/ide/
+qt-creator2:
+qt-creator2:
+qt-creator2:
+qt-creator2:
diff --git a/development/qt-creator2/x-qt-creator.xml b/development/qt-creator2/x-qt-creator.xml
new file mode 100644
index 0000000000..000cf46d08
--- /dev/null
+++ b/development/qt-creator2/x-qt-creator.xml
@@ -0,0 +1,8 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<mime-info xmlns="http://www.freedesktop.org/standards/shared-mime-info">
+ <mime-type type="application/x-qt-creator">
+ <sub-class-of type="text/plain"/>
+ <comment>Qt Creator Project</comment>
+ <glob pattern="*.pro"/>
+ </mime-type>
+</mime-info>